package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 账户状态（会员登录账号状态）
 *
 * @author: hzs
 */
@AllArgsConstructor
@Getter
public enum EAccountStatus {

    /**
     * 正常
     */
    NORMAL(0, "正常", 0, EnumsPrefixConstants.ACCOUNT_STATUS + "0"),

    /**
     * 限制登录
     */
    FROZEN(1, "限制登录", 0, EnumsPrefixConstants.ACCOUNT_STATUS + "1"),

    /**
     * 禁止登录
     */
    SHUT_DOWN(2, "禁止登录", 0, EnumsPrefixConstants.ACCOUNT_STATUS + "2"),

    /**
     * 停止收益
     */
    STOP_PROFIT(3, "停止收益", 0, EnumsPrefixConstants.ACCOUNT_STATUS + "3"),

    /**
     * 停算收益
     */
    STOP_INCOME(4, "停算收益", 0, EnumsPrefixConstants.ACCOUNT_STATUS + "4"),
    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;


    public static EAccountStatus getEAccountStatus(Integer value) {
        for (EAccountStatus as : EAccountStatus.values()) {
            if (as.value == value) {
                return as;
            }
        }
        return null;
    }
}
